Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.conflict
Class LatestConflictManager

    java.lang.Object
      fr.jayasoft.ivy.conflict.AbstractConflictManager
          fr.jayasoft.ivy.conflict.LatestConflictManager

All Implemented Interfaces:
  ConflictManager, IvyAware

public class LatestConflictManager
extends AbstractConflictManager

Constructor Summary
`LatestConflictManager()`
`LatestConflictManager(LatestStrategy strategy)`
`LatestConflictManager(java.lang.String name, LatestStrategy strategy)`

Method Summary
`LatestStrategy` | `getStrategy()`
`java.util.Collection` | `resolveConflicts(IvyNode parent, java.util.Collection conflicts)` Resolves the eventual conflicts found in the given collection of IvyNode.
`void` | `setLatest(java.lang.String strategyName)` To conform to configurator API
`void` | `setStrategy(LatestStrategy strategy)`
`java.lang.String` | `toString()`

Methods inherited from class fr.jayasoft.ivy.conflict.AbstractConflictManager
`getIvy, getName, setIvy, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LatestConflictManager

    public LatestConflictManager()

### LatestConflictManager

    public LatestConflictManager(LatestStrategy strategy)

### LatestConflictManager

    public LatestConflictManager(java.lang.String name,
                                 LatestStrategy strategy)

Method Detail

### resolveConflicts

    public java.util.Collection resolveConflicts(IvyNode parent,
                                                 java.util.Collection conflicts)

  Description copied from interface: `ConflictManager`
  Resolves the eventual conflicts found in the given collection of IvyNode. This method return a Collection of IvyNode which have not been evicted. The given conflicts Collection contains at least one IvyNode.

  Parameters:
    `parent` - the ivy node parent for which the conflict is to be resolved
    `conflicts` - the collection of IvyNode to check for conflicts
  Returns:
    a Collection of IvyNode which have not been evicted

### getStrategy

    public LatestStrategy getStrategy()

### setLatest

    public void setLatest(java.lang.String strategyName)

  To conform to configurator API

### setStrategy

    public void setStrategy(LatestStrategy strategy)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AbstractConflictManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD